Anyone know if pfSense 2 will run on an IBM X330?



  • So I only have the one system and don't have another to test it but would like to upgrade her to pfSense 2 RC1. Anyone got this old monster by chance and know if she can handle it?

    I am on 1.2.3 right now without issues with acpi and few other things disabled as needed on this old thing but just wondering about 2.0? I know I could try it and see what happens but rather not as is production and even though I could get it restored I don't want to play any more than I need to lol



  • @cybercare:

    So I only have the one system and don't have another to test it but would like to upgrade her to pfSense 2 RC1. Anyone got this old monster by chance and know if she can handle it?

    I am on 1.2.3 right now without issues with acpi and few other things disabled as needed on this old thing but just wondering about 2.0? I know I could try it and see what happens but rather not as is production and even though I could get it restored I don't want to play any more than I need to lol

    It sure will, I believe it has a P3 right? I have pfSense running on a IBM 500Mhz P3 as a fail over system and it can handle quite a lot of traffic. Use at least 256Mb ram.

    Make sure you use good PCI network cards though. Intel would be best because most of there cards take a fair amount of load off the CPU.

    Since you're already running on 1.2.3 you should have no trouble on 2.0-RC1.



  • Well I know it can run on a PIII but this IBM server already required a number of manual modifications to make it work so my worry is it will be even worse on 2.0

    Just because an old version worked on something does not mean it will on a new on. At some point all things hit EOL and they dont make drivers for or write the software to talk to it properly.

    I am in hopes someone with the exact model (x330) can confirm it works ehe. This is a critical box but I really would like to upgrade the firewall.


Locked